//
//  DirectionReponsDto.swift
//  goong-sample-mapLibre-ios
//
//  Created by macos on 10/6/24.
//

import Foundation

struct DirectionReponseDto: Codable {
    let routes: [Route]
}

// MARK: - Route
struct Route: Codable {
    let legs: [Leg]
    let overviewPolyline: OverviewPolyline

    enum CodingKeys: String, CodingKey {
        case legs
        case overviewPolyline = "overview_polyline"
    }
}

// MARK: - Leg
struct Leg: Codable {
    let distance, duration: Distance
}

// MARK: - Distance
struct Distance: Codable {
    let text: String
    let value: Int
}

// MARK: - OverviewPolyline
struct OverviewPolyline: Codable {
    let points: String
}
